org.apache.catalina.tribes.group.interceptors

## Class TwoPhaseCommitInterceptor.MapEntry

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.TwoPhaseCommitInterceptor.MapEntry

- Enclosing class:
    TwoPhaseCommitInterceptor

      public static class TwoPhaseCommitInterceptor.MapEntry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `UniqueId` | `id`
    `ChannelMessage` | `msg`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoPhaseCommitInterceptor.MapEntry(ChannelMessage msg, UniqueId id, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expired(long now, long expiration)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msg

          public final ChannelMessage msg

    - #### id

          public final UniqueId id

    - #### timestamp

          public final long timestamp

  - ### Constructor Detail

    - #### TwoPhaseCommitInterceptor.MapEntry

          public TwoPhaseCommitInterceptor.MapEntry(ChannelMessage msg,
                                            UniqueId id,
                                            long timestamp)

  - ### Method Detail

    - #### expired

          public boolean expired(long now,
                        long expiration)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.